org.apache.cassandra.utils

## Class MerkleTree.RowHash

- java.lang.Object
- - org.apache.cassandra.utils.MerkleTree.RowHash

Enclosing class:
  MerkleTree

    public static class MerkleTree.RowHash
    extends java.lang.Object

Hash value representing a row, to be used to pass hashes to the MerkleTree. The byte[] hash value should contain a digest of the key and value of the row created using a very strong hash function.

### Field Summary

Fields
`byte[]` `hash`
`long` `size`
`Token` `token`

### Constructor Summary

Constructors
Constructor and Description
`RowHash(Token token, byte[] hash, long size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### token

    public final Token token

#### hash

    public final byte[] hash

#### size

    public final long size

### Constructor Detail

#### RowHash

    public RowHash(Token token,
                   byte[] hash,
                   long size)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`